test_io 0.1.2
test_io: ^0.1.2 copied to clipboard

Dart native js
Flutter Android iOS web

Access to environmental variables and local files in tests in all platforms, including browsers.

0
likes
110 / 110
pub points
1 %
popularity

We analyzed this package on Jan 26, 2021, and awarded it 110 pub points (of a possible 110):

Follow Dart file conventions
20 / 20

10/10 points: Provide a valid pubspec.yaml

5/5 points: Provide a valid README.md

5/5 points: Provide a valid CHANGELOG.md

Provide documentation
20 / 20

10/10 points: Package has an example

  • Found example at: example/example.dart

10/10 points: 20% or more of the public API has dartdoc comments

  • 3 out of 4 API elements (75.0 %) have documentation comments.
Support multiple platforms
20 / 20

20/20 points: Supports 2 of 2 possible platforms (native, js)

Pass static analysis
30 / 30

30/30 points: code has no errors, warnings, lints, or formatting issues

Support up-to-date dependencies
20 / 20

10/10 points: All of the package dependencies are supported in the latest version

PackageConstraintCompatibleLatest
meta^1.1.01.2.41.2.4
stream_channel^2.0.02.0.02.0.0
test^1.8.01.15.71.15.7
Transitive dependencies
PackageConstraintCompatibleLatest
_fe_analyzer_shared-14.0.014.0.0
analyzer-0.41.20.41.2
args-1.6.01.6.0
async-2.4.22.4.2
boolean_selector-2.0.02.0.0
charcode-1.1.31.1.3
cli_util-0.2.00.2.0
collection-1.14.131.14.13
convert-2.1.12.1.1
coverage-0.14.20.15.1
crypto-2.1.52.1.5
file-5.2.15.2.1
glob-1.2.01.2.0
http-0.12.20.12.2
http_multi_server-2.2.02.2.0
http_parser-3.1.43.1.4
intl-0.16.10.16.1
io-0.3.40.3.4
js-0.6.20.6.2
logging-0.11.40.11.4
matcher-0.12.90.12.9
mime-0.9.70.9.7
node_interop-1.2.11.2.1
node_io-1.2.01.2.0
node_preamble-1.4.131.4.13
package_config-1.9.31.9.3
path-1.7.01.7.0
pool-1.4.01.4.0
pub_semver-1.4.41.4.4
shelf-0.7.90.7.9
shelf_packages_handler-2.0.02.0.0
shelf_static-0.2.9+10.2.9+1
shelf_web_socket-0.2.30.2.3
source_map_stack_trace-2.0.02.0.0
source_maps-0.10.90.10.9
source_span-1.7.01.7.0
stack_trace-1.9.61.9.6
string_scanner-1.0.51.0.5
term_glyph-1.1.01.1.0
test_api-0.2.18+10.2.18+1
test_core-0.3.11+40.3.11+4
typed_data-1.2.01.2.0
vm_service-4.2.05.5.0
watcher-0.9.7+150.9.7+15
web_socket_channel-1.2.01.2.0
webkit_inspection_protocol-0.7.40.7.4
yaml-2.2.12.2.1

To reproduce run pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

10/10 points: Package supports latest stable Dart and Flutter SDKs

0
likes
110
pub points
1%
popularity

Access to environmental variables and local files in tests in all platforms, including browsers.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

terrier989@gmail.com

License

Apache 2.0 (LICENSE)

Dependencies

meta, stream_channel, test

More

Packages that depend on test_io